Loading...
Searching...
No Matches
Redfish.idl
/* SPDX-License-Identifier: BSD-3-Clause */
/*
* Copyright 2021 Raritan Inc. All rights reserved.
*/
/**
* Device Settings
*/
module devsettings {
/** Redfish API service settings interface */
interface Redfish {
/** Redfish settings */
structure Settings {
boolean enabled; ///< Enable the Redfish API service
};
/**
* Retrieve Redfish settings.
*
* @return Redfish settings
*/
Settings getSettings();
/**
* Set Redfish settings.
*
* @param settings New settings
*/
void setSettings(in Settings settings);
};
}
devsettings::Redfish
Redfish API service settings interface.
Definition Redfish.idl:12
devsettings::Redfish::setSettings
void setSettings(in Settings settings)
Set Redfish settings.
devsettings::Redfish::getSettings
Settings getSettings()
Retrieve Redfish settings.
devsettings
Device Settings.
Definition Crestron.idl:9
devsettings::Redfish::Settings
Redfish settings.
Definition Redfish.idl:15
devsettings::Redfish::Settings::enabled
boolean enabled
Enable the Redfish API service.
Definition Redfish.idl:16